namespace MyOffice.Web.Models.Account;

using Data.Models.Accounts;

public class AccountDetailedViewModel
{
	public AccountViewModel Account { get; set; } = null!;
	public decimal Rest { get; set; }
}

public static class AccountDetailedViewModelExtensions
{
	public static AccountDetailedViewModel ToModel(this AccountDetailed input)
	{
		return new AccountDetailedViewModel
		{
			Account = input.Account.ToModel(),
			Rest = input.Rest,
		};
	}
}